Bug 545047 - Review Request: NearTree - An API for finding nearest neighbors
Summary: Review Request: NearTree - An API for finding nearest neighbors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Chen Lei
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 545046
Blocks: 541462
TreeView+ depends on / blocked
 
Reported: 2009-12-07 12:41 UTC by Takanori MATSUURA
Modified: 2011-01-03 10:34 UTC (History)
6 users (show)

Fixed In Version: NearTree-2.3.2-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-17 08:38:51 UTC
supercyper1: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Takanori MATSUURA 2009-12-07 12:41:52 UTC
Spec URL: http://t-matsuu.sakura.ne.jp/mock/neartree/neartree.spec
SRPM URL: http://t-matsuu.sakura.ne.jp/mock/neartree/neartree-2.1.4-1.fc12.src.rpm
Description: 
This is a release of an API for finding nearest neighbors among
points in spaces of arbitrary dimensions. This release provides a
C++ template, TNear.h, and a C library, CNearTree.c, with
example/test programs.

Comment 1 Takanori MATSUURA 2009-12-07 12:44:28 UTC
Note: This package requires cvector package which is package reviewed in bug 545046.

Comment 2 Takanori MATSUURA 2009-12-08 14:32:20 UTC
Spec URL: http://t-matsuu.sakura.ne.jp/mock/NearTree.spec
SRPM URL: http://t-matsuu.sakura.ne.jp/mock/NearTree-2.1.4-2.fc12.src.rpm

Update based on the comment for another in-parallel reviewing package.

* Rename to NearTree
* Move static library to separated subpackage
* Remove patch
* Changing destination directory for library files is implemented as a command at
the beginning of %build.

Comment 3 Susi Lehtola 2009-12-09 10:39:59 UTC
The link doesn't work.

Comment 4 Takanori MATSUURA 2009-12-09 12:08:00 UTC
Spec URL: http://t-matsuu.sakura.ne.jp/mock/NearTree/NearTree.spec
SRPM URL: http://t-matsuu.sakura.ne.jp/mock/NearTree/NearTree-2.1.4-3.fc12.src.rpm

* remove static library
* fix the library file name from libNearTree-2.1.3.so.* to libNearTree-2.1.4.so.*
* update based on the comments at bug 545046


Note:
* A patch included in this package has been sent to the upstream developer.
* Library file name issue has been reported to the upstream developer.

Comment 5 Takanori MATSUURA 2009-12-09 13:27:35 UTC
Uah, the file name of the shared library include full version number. :-(

It's not good.
If this package is updated, we have to recompile all the software which link to this library.

Now I'm contacting the upstream developer.

Comment 6 Susi Lehtola 2009-12-09 13:52:05 UTC
(In reply to comment #5)
> Uah, the file name of the shared library include full version number. :-(
> 
> It's not good.
> If this package is updated, we have to recompile all the software which link to
> this library.
> 
> Now I'm contacting the upstream developer.  

Indeed. The library must be versioned with the soname, which may well be 2.1.3 for NearTree-2.1.4. But a clarification by upstream is in order.

Comment 7 Takanori MATSUURA 2009-12-10 15:04:09 UTC
After the discussion with upstream developer, he has no objection to remove -release.

I'll prepare a patch to remove -release and propose to upstream.

Comment 8 Chen Lei 2010-03-04 10:24:32 UTC
Any progress on Neartree?

Comment 9 Takanori MATSUURA 2010-03-05 14:19:33 UTC
Sorry. I'm busy at "official" work now.

I'll be a new packager and I need to do unofficial review of new package(s) (See bug 545046 in detail).  However I have no time to do it.

I'll come back next month.

Comment 10 Chen Lei 2010-10-12 12:20:27 UTC
Can you update NearTree to the latest version?

Comment 11 Takanori MATSUURA 2010-10-12 13:15:50 UTC
I found upstream NearTree-2.3.1 have critical issue for compiling 5E-epel.
I'll report to upstream shortly.

After upstream NearTree will be updated, I'll back here.

Comment 12 Takanori MATSUURA 2010-10-13 10:23:49 UTC
Spec URL: http://t-matsuu.sakura.ne.jp/mock/NearTree/NearTree.spec
SRPM URL:
http://t-matsuu.sakura.ne.jp/mock/NearTree/NearTree-2.3.1-0.src.rpm

Update to 2.1.3.

I have proposed patch 0 to the upstream. However he does not accept the change from "-shared" to "-rdynamic".

Without patch 0, the build for 5E-epel x86_64 is failed by R_X86_64_32 issue. So I added patch 0 anyway.

I have no idea why he does not accept because build manner is the same as CQRlib after applying the patch.

Both I and he hope that the software compiles/works as many architecture as possible. However his choice is different from I (and many developers).

Comment 13 Takanori MATSUURA 2010-10-13 10:25:28 UTC
(In reply to comment #12)
> Update to 2.1.3.

Update to 2.3.1.

Comment 15 Chen Lei 2010-10-14 14:47:35 UTC
It seems you should use make all instead of make in %build section.

See http://koji.fedoraproject.org/koji/getfile?taskID=2535029&name=build.log 


I also suggest you to add %check section(make tests) to spec.

Comment 16 Takanori MATSUURA 2010-10-18 11:33:56 UTC
Spec URL: http://t-matsuu.sakura.ne.jp/mock/NearTree/NearTree.spec
SRPM URL:
http://t-matsuu.sakura.ne.jp/mock/NearTree/NearTree-2.3.1-0.1.fc13.src.rpm

* Mon Oct 18 2010 Takanori MATSUURA <t.matsuu at gmail.com> - 2.3.1-0.1
- use "make all" instead of "make"
- add %check

Comment 17 Chen Lei 2010-10-19 16:00:39 UTC
Approved!

Please do not use 0.1 as the release number for stable release packages.

See http://fedoraproject.org/wiki/PackageNamingGuidelines#Pre-Release_packages

Comment 18 Takanori MATSUURA 2010-10-21 06:11:28 UTC
(In reply to comment #17)
> Approved!

Thank you for your kind review.

> Please do not use 0.1 as the release number for stable release packages.

Sure.

Comment 19 Takanori MATSUURA 2010-10-21 06:12:28 UTC
New Package SCM Request
=======================
Package Name: NearTree
Short Description: An API for finding nearest neighbors
Owners: tmatsuu
Branches: f12 f13 f14 el5 el6
InitialCC:

Comment 20 Kevin Fenzi 2010-10-21 13:25:02 UTC
Git done (by process-git-requests).

Comment 21 Takanori MATSUURA 2010-10-26 07:30:13 UTC
Hmm.

"make tests" failed on f12, f13, and el6.
In my surprise, it fails only on i686 architecture.
http://koji.fedoraproject.org/koji/taskinfo?taskID=2553830
http://koji.fedoraproject.org/koji/taskinfo?taskID=2553832
http://koji.fedoraproject.org/koji/taskinfo?taskID=2553835

Result seems to be the same. However the output order is different.
Is this a bug in glibc-2.11 and 2.12, or test program?

Comment 22 Bug Zapper 2010-11-04 04:02:52 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 23 Takanori MATSUURA 2010-11-04 05:51:32 UTC
(In reply to comment #21)

%check failed only on i386 (for EL6) and i686 (for f12 and f13).
I can build NearTree on x86_64, ppc64, and ppc (for f12) with no error.

All of EL6, f12, and f13 use gcc-4.4.4.
f12 uses glibc-2.11.2.
f13 uses glibc-2.12.1.
EL6 used glibc-2.12.

Comment 24 Takanori MATSUURA 2010-11-04 05:54:40 UTC
(In reply to comment #23)
> %check failed only on i386 (for EL6) and i686 (for f12 and f13).
%check failed only on i686 (for EL6, f12, and F13).

Comment 25 Michal Nowak 2010-11-10 09:32:46 UTC
You may want to update to 2.3.2 version and if it fails ask upstream for advice. Hard to say what failed since the build logs from scratch build are now deleted...

Comment 26 Takanori MATSUURA 2010-11-10 18:58:10 UTC
Thank you for letting me know.

After updating CVector to 1.0.3.1 on my local EL5 machine, the build of NearTree-2.3.2-i386.el5 is successful.
And the build of NearTree-2.3.2-i386.el5 against CVector-1.0.3 is failed.

So I suppose the build problem is caused by CVector.

I'll try again initial packaging.

Comment 27 Fedora Update System 2010-12-08 06:43:55 UTC
NearTree-2.3.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/NearTree-2.3.2-1.fc14

Comment 28 Fedora Update System 2010-12-08 07:00:25 UTC
NearTree-2.3.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/NearTree-2.3.2-1.el5

Comment 29 Fedora Update System 2010-12-08 07:01:15 UTC
NearTree-2.3.2-1.1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/NearTree-2.3.2-1.1.fc13

Comment 30 Fedora Update System 2010-12-08 16:58:16 UTC
NearTree-2.3.2-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NearTree'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/NearTree-2.3.2-1.el5

Comment 31 Takanori MATSUURA 2010-12-14 10:06:22 UTC
Please ignore comment #26.

After CVector has been updated to 1.0.3.1 and NearTree to 2.3.2, comment #23 is still reproduced.

%check successful:
f14: gcc-4.5.1, glibc-2.12.90
f15: gcc-4.5.1, glibc-2.12.90
el5: gcc-4.1.2, glibc-2.5
(el4: gcc-3.4.6, glibc-2.3.4)

%check failed only on i686 (successful on other architectures):
f13: gcc-4.4.5, glibc-2.12.1
el6: gcc-4.4.4, glibc-2.12.1
(f12: gcc-4.4.4, glibc-2.11.2)


And I finally found that this issue has been fixed by adding "-fno-caller-saves" to CFLAGS in %check.
Is this a bug in gcc-4.4.x?

Comment 32 Michal Nowak 2010-12-14 11:44:57 UTC
It may be a bad GCC 4.4's guess. Feel free to file it to GCC Bugzilla.

Comment 33 Fedora Update System 2010-12-17 08:38:44 UTC
NearTree-2.3.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2010-12-17 08:44:03 UTC
NearTree-2.3.2-1.1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2010-12-23 17:25:44 UTC
NearTree-2.3.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.